[arch-commits] Commit in python-urllib3/repos (3 files)
Evangelos Foutras
foutrelis at archlinux.org
Sat Dec 24 18:48:01 UTC 2016
Date: Saturday, December 24, 2016 @ 18:48:00
Author: foutrelis
Revision: 284684
archrelease: copy trunk to staging-any
Added:
python-urllib3/repos/staging-any/
python-urllib3/repos/staging-any/LICENSE
(from rev 284683, python-urllib3/trunk/LICENSE)
python-urllib3/repos/staging-any/PKGBUILD
(from rev 284683, python-urllib3/trunk/PKGBUILD)
----------+
LICENSE | 32 ++++++++++++++++++++++++++
PKGBUILD | 75 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 107 insertions(+)
Copied: python-urllib3/repos/staging-any/LICENSE (from rev 284683, python-urllib3/trunk/LICENSE)
===================================================================
--- staging-any/LICENSE (rev 0)
+++ staging-any/LICENSE 2016-12-24 18:48:00 UTC (rev 284684)
@@ -0,0 +1,32 @@
+Note from the ArchLinux Packager:
+The urllib3 source doesn't come with a license file. Its homepage
+does provide a link to the text of the MIT license, so I copied
+the following text to a file when building the package.
+
+------CUT------
+Open Source Initiative OSI - The MIT License:Licensing
+
+
+[OSI Approved License]
+
+The MIT License
+
+Copyright (c) <year> <copyright holders>
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+THE SOFTWARE.
Copied: python-urllib3/repos/staging-any/PKGBUILD (from rev 284683, python-urllib3/trunk/PKGBUILD)
===================================================================
--- staging-any/PKGBUILD (rev 0)
+++ staging-any/PKGBUILD 2016-12-24 18:48:00 UTC (rev 284684)
@@ -0,0 +1,75 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Patrice Peterson <runiq at archlinux dot us>
+# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
+# Contributor: BorgHunter <borghunter at gmail dot com>
+
+pkgbase=python-urllib3
+pkgname=(python-urllib3 python2-urllib3 python-urllib3-doc)
+pkgver=1.19.1
+pkgrel=2
+pkgdesc="HTTP library with thread-safe connection pooling and file post support"
+arch=("any")
+url="https://github.com/shazow/urllib3"
+license=("MIT")
+makedepends=('python-setuptools' 'python2-setuptools' 'python2-sphinx' 'python-ndg-httpsclient'
+ 'python2-ndg-httpsclient' 'python-pyasn1' 'python2-pyasn1' 'python-pyopenssl'
+ 'python2-pyopenssl' 'python-pysocks' 'python2-pysocks' 'python-mock' 'python2-mock'
+ 'git')
+checkdepends=('python-nose' 'python2-nose' 'python-tornado' 'python2-tornado' 'python-coverage'
+ 'python2-coverage')
+source=("git+https://github.com/shazow/urllib3.git#tag=$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+ cp -a urllib3{,-py2}
+}
+
+build() {
+ cd "$srcdir"/urllib3
+ python setup.py build
+
+ cd "$srcdir"/urllib3-py2
+ python2 setup.py build
+
+ # Build with Python 2 since autodoc produces errors on Python 3
+ cd "$srcdir"/urllib3/docs
+ make SPHINXBUILD=sphinx-build2 html
+}
+
+check() {
+ # Failures are related to missing SSLv3
+
+ cd "$srcdir"/urllib3
+ nosetests3 || warning "Tests failed"
+
+ cd "$srcdir"/urllib3-py2
+ nosetests2 || warning "Tests failed"
+}
+
+package_python-urllib3() {
+ depends=('python')
+ optdepends=('python-pysocks: SOCKS support')
+
+ cd urllib3
+ python setup.py install --root="$pkgdir"
+ install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
+
+package_python2-urllib3() {
+ depends=('python2')
+ optdepends=('python2-pysocks: SOCKS support')
+
+ cd urllib3-py2
+ python2 setup.py install --root="$pkgdir"
+ install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
+
+package_python-urllib3-doc() {
+ pkgdesc="urllib3 Documentation"
+
+ cd urllib3/docs
+ install -d "$pkgdir"/usr/share/doc
+ cp -r _build/html "$pkgdir"/usr/share/doc/python-urllib3
+ install -Dm644 ../LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
More information about the arch-commits
mailing list